<div class="table-responsive">
  <div class="row mb-3">
    <div class="col-md-6">
      <input type="text" [(ngModel)]="searchValue" (input)="filterItems()" placeholder="Deney No Arama" class="form-control">
    </div>
    <div class="col-md-3">
      <input type="date" [(ngModel)]="startDate" (input)="filterItems()" class="form-control">
    </div>
    <div class="col-md-3">
      <input type="date" [(ngModel)]="endDate" (input)="filterItems()" class="form-control">
    </div>
  </div>
  <div class="table-scroll">
    <table class="table table-bordered table-striped">
      <thead class="thead-dark">
        <tr>
          <th style="visibility: hidden;">Id</th>
          <th>Deney No</th>
          <th>Company Name</th>
          <th>Expert Name</th>
          <th>Patient Name</th>
          <th>Total Duration</th>
          <th>Date</th>
          <th>Pose Number</th>
          <th>Description</th>
          <th>Actions</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of filterItems()">
          <td style="visibility: hidden;">{{ item.Id }}</td>
          <td>{{ item.deney_no }}</td>
          <td>{{ item.company_name }}</td>
          <td>{{ item.expert_name }}</td>
          <td>{{ item.patient_name }}</td>
          <td>{{ item.total_duration }}</td>
          <td>{{ formatTimestamp(item.date) }}</td>
          <td>{{ getPoseNumberLabel(item.pose_number) }}</td>
          <td>{{ item.description }}</td>
          <td>
            <button class="btn btn-primary" (click)="selectItem(item)">Select</button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
